(function () {
    'use strict';
    angular
        .module('controleApp')
        .controller('novamensagemController', novamensagemController);

    novamensagemController.$inject = ['$scope', 'Comando', '$location', '$rootScope'];

    function novamensagemController($scope, Comando, $location, $rootScope) {
        /*jshint validthis:true*/
        this.toggleModal = {};
        this.notificationMessages = {};

        $scope.RedirecionarListaMensagens = RedirecionarListaMensagens;
        $scope.SalvarMensagemRapida = SalvarMensagemRapida;

        var confirm = false;

        function RedirecionarListaMensagens() {
            $location.path("/Controle" + $scope.novamensagemCtrl.toggleModal.redirectMensagem);
            confirm = true;
        }

        $scope.$on('$locationChangeStart', function (event, next, current) {
            if (next != current && !confirm) {
                $scope.novamensagemCtrl.toggleModal.sairSemSalvarAlerta(next.split('Controle')[1]);
                event.preventDefault();
            }
            confirm = false;
        });

        function SalvarMensagemRapida() {
            var msg = $scope.novamensagemCtrl.Mensagem;
            if (msg) {
                $(".loading-div").fadeIn();
                var obj = {
                    Descricao: msg
                };
                Comando.SalvarMensagemRapida(obj, function (data) {
                    if (data.data.IsSucesso) {
                        //$scope.showSuccess(data.data.Mensagem);
                        localStorage.setItem("MensagemSucesso", data.data.Mensagem);

                        confirm = true;
                        $location.path("/Controle/Mensagens");
                    } else {
                        $scope.showError(data.data.Mensagem);
                        $(".loading-div").fadeOut();
                    }
                }, function (error) {
                    $scope.showError(error.statusText);
                });

            } else {
                $scope.showWarning("Existem campos obrigatórios não preenchidos, por favor, preencha todos os campos obrigatórios!");
            }
        }
    }
})();
